<?php

use app\model\AdminMenuModel;
use app\model\CommonModel;

return [
    //【通用】
    'common' => [
        'keyword|关键字' => 'chsDash|max:100',
        'page|页码' => 'require|number|gt:0',
        'size|每页数量' => 'require|number|elt:100',
        'status|状态' => 'number|in:' . CommonModel::$status_normal . ',' . CommonModel::$status_disable,
    ],

    //【启禁用】
    'status' => [
        'id' => 'require|number|gt:0',
        'status|状态' => 'require|number|in:' . CommonModel::$status_normal . ',' . CommonModel::$status_disable,
    ],

    //【登录】
    'login' => [
        'username|用户名' => 'require|max:255',
        'password|密码' => 'require|max:255',
    ],

    //【版本】
    //新增版本
    'createVersion' => [
        'title|版本主题' => 'require|max:255',
        'content|版本内容' => 'require|max:255',
        'version|版本号' => 'require|max:255'
    ],

    //【菜单】
    //添加菜单
    'menuAdd' => [
        'menu_name|菜单名称' => 'require|max:255',
        'menu_url|菜单地址' => 'max:255',
        'menu_route|菜单路由' => 'requireWith:pid|max:255',
        'menu_code|菜单code' => 'max:255',
        'menu_img|菜单图片' => 'max:255',
        'pid|父级id' => 'number|egt:0',
        'private|是否私有' => 'number|in:' . AdminMenuModel::$is_private . ',' . AdminMenuModel::$not_private,
        'weight|权重' => 'number|egt:0',
    ],
    //编辑菜单
    'menuEdit' => [
        'id' => 'require|number|gt:0',
        'menu_name|菜单名称' => 'require|max:255',
        'menu_url|菜单地址' => 'max:255',
        'menu_route|菜单路由' => 'requireWith:pid|max:255',
        'menu_code|菜单code' => 'max:255',
        'menu_img|菜单图片' => 'max:255',
        'pid|父级id' => 'number|egt:0',
        'private|是否私有' => 'number|in:' . AdminMenuModel::$is_private . ',' . AdminMenuModel::$not_private,
        'is_show|是否显示' => 'number|in:' . AdminMenuModel::$show . ',' . AdminMenuModel::$hide,
        'weight|权重' => 'number|egt:0',
    ],

    //【视频】
    //添加视频
    'videoAdd' => [
        'video_name|视频名称' => 'require|max:255',
        'video_url|视频地址' => 'require|max:255',
        'video_img|视频封面' => 'require|max:255',
        'weight|权重' => 'number|egt:0',
        'remark|备注' => 'max:255',
    ],
    //编辑视频
    'videoEdit' => [
        'id' => 'require|number|gt:0',
        'video_name|视频名称' => 'require|max:255',
        'video_url|视频地址' => 'require|max:255',
        'video_img|视频封面' => 'require|max:255',
        'weight|权重' => 'number|egt:0',
        'remark|备注' => 'max:255',
    ],


    //【卡类型】
    //添加卡类型
    'cardAdd' => [
        'title|卡类型' => 'require|max:255'
    ],
    //编辑卡类型
    'cardEdit' => [
        'id' => 'require|number|gt:0',
        'title|卡类型' => 'require|max:255'
    ],

    //【企业】
    //添加
    'CompanyAdd' => [
        'title|企业名称' => 'require|max:255',
        'contacts|联系人' => 'require|max:255',
        'mobile|联系方式' => 'require|mobile',
        'remark|备注' => 'max:255',
    ],

];