<?php

namespace app\admin\logic;

use app\model\AdminModel;
use app\model\AdminTokenModel;
use app\model\CommonModel;
use think\response\Json;

class LoginLogic
{
    //登录
    public static function Logic(array $data = []): Json
    {

        $res = AdminModel::field(true)
            ->where(["is_del" => AdminModel::$del_normal, "username" => $data['username']])
            ->findOrEmpty();

        if ($res->isEmpty()) return json_show(CommonModel::$error_token, '该账户不存在');
        if ($res->status == AdminModel::$status_disable) return json_show(CommonModel::$error_token, '该账户已禁用');

        if (getPassword($data['password'], $res->salt) != $res->password) return json_show(CommonModel::$error_token, '账户密码错误');

        $token = makeToken($res->id, $data['username'], $res->salt);
        $userinfo = [
            "username" => $res->username,
            "nickname" => $res->nickname,
            "mobile" => $res->mobile,
            "role_id" => $res->role_id,
            'token' => $token
        ];
//        write_log("账户{$account['username']}登录系统","","login","",0);
        return json_show(0, "登录成功", $userinfo);
    }

    //登出
    public static function logout(string $token = ''): Json
    {

        $info = AdminTokenModel::where(['token' => $token])->save(['token' => '','expiretime'=>date('Y-m-d H:i:s')]);

        return $info ? json_show(CommonModel::$success, '登出成功') : json_show(CommonModel::$error_param, '登出失败');
    }

}